summarize.array <- function(x, cip, stats, model, object, subset) {

  if (is.function(subset)){  # subset = all; all is class "function"
    tmp <- summarize(x[,,1], cip, stats, model)
    tmp <- array(NA, dim=c(nrow(tmp), ncol(tmp), dim(x)[3]),
                 dimnames=list(dimnames(x)[[2]], dimnames(tmp)[[2]],
                   rownames(object$x)))
    for (j in 1:dim(x)[3])
      tmp[,,j] <- summarize(x[,,j], cip, stats, model)
    res <- tmp
  }
  if(is.null(subset)){# subset = NULL; summarizes all obs at once. 
    tmp <-NULL
    for (j in 1:dim(x)[3])
      tmp <- rbind(tmp, x[,,j])
    res <- summarize(tmp, cip, stats, model)
    object$qi.name[[i]] <- paste("Pooled", object$qi.name[[i]])
  }
  if (is.numeric(subset)) { # subset=integer, summarizes identified obs
    k <- dim(x)[[3]]
    if (subset < k || subset == k) {
      tmp <- summarize(x[,,1], cip, stats, model)
      tmp <- array(NA, dim=c(nrow(tmp), ncol(tmp), length(subset)),
                   dimnames=list(dimnames(x)[[2]],
                     dimnames(tmp)[[2]], subset)) 
      for (l in 1:length(subset)){
        tmp[,,l] <- summarize(x[,,subset[l]], cip, stats, model)
        res <- tmp
        X <- object$x[subset,]
        if (!is.null(object$x1))
          X1 <- object$x1[subset,]
      }
    }
    else 
      stop("Selected observation to subset is not in available range of observations.")
  }
  return(res)
}
