summarize.default <- function(x, cip, stats, model, object, subset) {

  res <- NULL
  if (!is.matrix(x))
    x <- as.matrix(x)
  if (dim(x)[2]==1) {
    if (is.numeric(x)) {
      if (!is.null(stats))
        for (i in 1:length(stats)) 
          res <- cbind(res, apply(x, 2, stats[i]))
      res <- cbind(res, apply(x, 2, quantile, prob=cip[1]))
      res <- cbind(res, apply(x, 2, quantile, prob=cip[2]))
      colnames(res) <- c(stats, paste(cip[1]*100, "%", sep=""),
                         paste(cip[2]*100, "%", sep=""))
    }
    else {
      res <- t(apply(if(is.matrix(x)) x else as.matrix(x), 2, table))
      if (length(unique(x))==1) {
        colnames(res) <- unique(x)
        if(model=="relogit")
          if(colnames(res)==1) {
            res <- cbind(0, res)
            colnames(res)[1] <-0
          }
          else {
            res <- cbind(res, 0)
            colnames(res)[2] <-1
          }
      }
      res <- res/nrow(x) * 100
    }
  }
  else {
    if (is.function(subset)) 
      res <- summarize(x, cip, stats, model)
    if (is.null(subset)) {
      tmp <- matrix(c(x), ncol=1)
      tmp <- summarize(tmp, cip, stats, model)
      res <- as.matrix(tmp)
      names(res) <- colnames(tmp)
      object$qi.name[[i]] <- paste("Pooled", object$qi.name[[i]])
    }
    if (is.numeric(subset)) {
      k <- dim(res)[[2]]
      if (subset < k || subset == k){
        res <- summarize(as.matrix(res[,subset]), cip,
                         stats, model)
        X <- X[subset,]
        if(!is.null(object$x1))
          X1 <- X1[subset,]
      }
      else
        stop("Selected observation to subset is not in available range of observations.")
    }
  }
  return(res)
}
